pipeline {
        agent {
                dockerfile true
        }
	options {
        	skipStagesAfterUnstable()
	}
        stages {
                stage('Build') {
                        steps {
                                sh './configure --enable-dedicated && make'
                        }
                }
		stage('SSH Transfert') {
			steps {
				script {
sshPublisher(publishers: [sshPublisherDesc(configName: 'brice@172.17.0.1', transfers: [sshTransfer(cleanRemote: false, excludes: '', execCommand: '', execTimeout: 120000, flatten: true, makeEmptyDirs: false, noDefaultExcludes: false, patternSeparator: '[, ]+', remoteDirectory: 'openttd/build-$BUILD_NUMBER', remoteDirectorySDF: false, removePrefix: 'bin', sourceFiles: 'bin/openttd')], usePromotionTimestamp: false, useWorkspaceInPromotion: false, verbose: false)])
				}
			}
		}
        }
}

